diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index a782f10998..129e44702a 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -5434,7 +5434,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-parallel-hash" xreflabel="enable_parallel_hash">
-      <term><varname>enable_parallel_hash</varname> (<type>boolean</type>)
+      <term><varname>enable_parallel_hash</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>enable_parallel_hash</varname> configuration parameter</primary>
        </indexterm>
@@ -5449,7 +5449,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-partition-pruning" xreflabel="enable_partition_pruning">
-      <term><varname>enable_partition_pruning</varname> (<type>boolean</type>)
+      <term><varname>enable_partition_pruning</varname> (<type>boolean</type>) - default is on
        <indexterm>
         <primary><varname>enable_partition_pruning</varname> configuration parameter</primary>
        </indexterm>
@@ -5467,7 +5467,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-partitionwise-join" xreflabel="enable_partitionwise_join">
-      <term><varname>enable_partitionwise_join</varname> (<type>boolean</type>)
+      <term><varname>enable_partitionwise_join</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_partitionwise_join</varname> configuration parameter</primary>
       </indexterm>
@@ -5491,7 +5491,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-partitionwise-aggregate" xreflabel="enable_partitionwise_aggregate">
-      <term><varname>enable_partitionwise_aggregate</varname> (<type>boolean</type>)
+      <term><varname>enable_partitionwise_aggregate</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_partitionwise_aggregate</varname> configuration parameter</primary>
       </indexterm>
@@ -5516,7 +5516,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-presorted-aggregate" xreflabel="enable_presorted_aggregate">
-      <term><varname>enable_presorted_aggregate</varname> (<type>boolean</type>)
+      <term><varname>enable_presorted_aggregate</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_presorted_aggregate</varname> configuration parameter</primary>
       </indexterm>
@@ -5539,7 +5539,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-seqscan" xreflabel="enable_seqscan">
-      <term><varname>enable_seqscan</varname> (<type>boolean</type>)
+      <term><varname>enable_seqscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>sequential scan</primary>
       </indexterm>
@@ -5559,7 +5559,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-sort" xreflabel="enable_sort">
-      <term><varname>enable_sort</varname> (<type>boolean</type>)
+      <term><varname>enable_sort</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_sort</varname> configuration parameter</primary>
       </indexterm>
@@ -5576,7 +5576,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-enable-tidscan" xreflabel="enable_tidscan">
-      <term><varname>enable_tidscan</varname> (<type>boolean</type>)
+      <term><varname>enable_tidscan</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>enable_tidscan</varname> configuration parameter</primary>
       </indexterm>
@@ -5619,7 +5619,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      <variablelist>
 
      <varlistentry id="guc-seq-page-cost" xreflabel="seq_page_cost">
-      <term><varname>seq_page_cost</varname> (<type>floating point</type>)
+      <term><varname>seq_page_cost</varname> (<type>floating point</type>) - default is 1.0
       <indexterm>
        <primary><varname>seq_page_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5636,7 +5636,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-random-page-cost" xreflabel="random_page_cost">
-      <term><varname>random_page_cost</varname> (<type>floating point</type>)
+      <term><varname>random_page_cost</varname> (<type>floating point</type>) - default is 4.0
       <indexterm>
        <primary><varname>random_page_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5696,7 +5696,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-cpu-tuple-cost" xreflabel="cpu_tuple_cost">
-      <term><varname>cpu_tuple_cost</varname> (<type>floating point</type>)
+      <term><varname>cpu_tuple_cost</varname> (<type>floating point</type>) - default is 0.01
       <indexterm>
        <primary><varname>cpu_tuple_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5711,7 +5711,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-cpu-index-tuple-cost" xreflabel="cpu_index_tuple_cost">
-      <term><varname>cpu_index_tuple_cost</varname> (<type>floating point</type>)
+      <term><varname>cpu_index_tuple_cost</varname> (<type>floating point</type>) - default is 0.005
       <indexterm>
        <primary><varname>cpu_index_tuple_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5726,7 +5726,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-cpu-operator-cost" xreflabel="cpu_operator_cost">
-      <term><varname>cpu_operator_cost</varname> (<type>floating point</type>)
+      <term><varname>cpu_operator_cost</varname> (<type>floating point</type>) - default is 0.0025
       <indexterm>
        <primary><varname>cpu_operator_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5741,7 +5741,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-parallel-setup-cost" xreflabel="parallel_setup_cost">
-      <term><varname>parallel_setup_cost</varname> (<type>floating point</type>)
+      <term><varname>parallel_setup_cost</varname> (<type>floating point</type>) - default is 1000
       <indexterm>
        <primary><varname>parallel_setup_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5756,7 +5756,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-parallel-tuple-cost" xreflabel="parallel_tuple_cost">
-      <term><varname>parallel_tuple_cost</varname> (<type>floating point</type>)
+      <term><varname>parallel_tuple_cost</varname> (<type>floating point</type>) - default is 0.1
       <indexterm>
        <primary><varname>parallel_tuple_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5771,7 +5771,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-min-parallel-table-scan-size" xreflabel="min_parallel_table_scan_size">
-      <term><varname>min_parallel_table_scan_size</varname> (<type>integer</type>)
+      <term><varname>min_parallel_table_scan_size</varname> (<type>integer</type>) - default is 8MB
       <indexterm>
        <primary><varname>min_parallel_table_scan_size</varname> configuration parameter</primary>
       </indexterm>
@@ -5791,7 +5791,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-min-parallel-index-scan-size" xreflabel="min_parallel_index_scan_size">
-      <term><varname>min_parallel_index_scan_size</varname> (<type>integer</type>)
+      <term><varname>min_parallel_index_scan_size</varname> (<type>integer</type>) - default is 512kb
       <indexterm>
        <primary><varname>min_parallel_index_scan_size</varname> configuration parameter</primary>
       </indexterm>
@@ -5813,7 +5813,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-effective-cache-size" xreflabel="effective_cache_size">
-      <term><varname>effective_cache_size</varname> (<type>integer</type>)
+      <term><varname>effective_cache_size</varname> (<type>integer</type>) - default is 4MB
       <indexterm>
        <primary><varname>effective_cache_size</varname> configuration parameter</primary>
       </indexterm>
@@ -5847,7 +5847,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-jit-above-cost" xreflabel="jit_above_cost">
-      <term><varname>jit_above_cost</varname> (<type>floating point</type>)
+      <term><varname>jit_above_cost</varname> (<type>floating point</type>) - default is 100000
       <indexterm>
        <primary><varname>jit_above_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5865,7 +5865,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-jit-inline-above-cost" xreflabel="jit_inline_above_cost">
-      <term><varname>jit_inline_above_cost</varname> (<type>floating point</type>)
+      <term><varname>jit_inline_above_cost</varname> (<type>floating point</type>) - default is 500000
       <indexterm>
        <primary><varname>jit_inline_above_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5883,7 +5883,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-jit-optimize-above-cost" xreflabel="jit_optimize_above_cost">
-      <term><varname>jit_optimize_above_cost</varname> (<type>floating point</type>)
+      <term><varname>jit_optimize_above_cost</varname> (<type>floating point</type>) - default is 500000
       <indexterm>
        <primary><varname>jit_optimize_above_cost</varname> configuration parameter</primary>
       </indexterm>
@@ -5920,7 +5920,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      <variablelist>
 
      <varlistentry id="guc-geqo" xreflabel="geqo">
-      <term><varname>geqo</varname> (<type>boolean</type>)
+      <term><varname>geqo</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary>genetic query optimization</primary>
       </indexterm>
@@ -5943,7 +5943,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-threshold" xreflabel="geqo_threshold">
-      <term><varname>geqo_threshold</varname> (<type>integer</type>)
+      <term><varname>geqo_threshold</varname> (<type>integer</type>) - default is 12
       <indexterm>
        <primary><varname>geqo_threshold</varname> configuration parameter</primary>
       </indexterm>
@@ -5964,7 +5964,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-effort" xreflabel="geqo_effort">
-      <term><varname>geqo_effort</varname> (<type>integer</type>)
+      <term><varname>geqo_effort</varname> (<type>integer</type>) - default is 5
       <indexterm>
        <primary><varname>geqo_effort</varname> configuration parameter</primary>
       </indexterm>
@@ -5990,7 +5990,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-pool-size" xreflabel="geqo_pool_size">
-      <term><varname>geqo_pool_size</varname> (<type>integer</type>)
+      <term><varname>geqo_pool_size</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>geqo_pool_size</varname> configuration parameter</primary>
       </indexterm>
@@ -6008,7 +6008,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-generations" xreflabel="geqo_generations">
-      <term><varname>geqo_generations</varname> (<type>integer</type>)
+      <term><varname>geqo_generations</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>geqo_generations</varname> configuration parameter</primary>
       </indexterm>
@@ -6026,7 +6026,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-selection-bias" xreflabel="geqo_selection_bias">
-      <term><varname>geqo_selection_bias</varname> (<type>floating point</type>)
+      <term><varname>geqo_selection_bias</varname> (<type>floating point</type>) - default is 2.00
       <indexterm>
        <primary><varname>geqo_selection_bias</varname> configuration parameter</primary>
       </indexterm>
@@ -6041,7 +6041,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-geqo-seed" xreflabel="geqo_seed">
-      <term><varname>geqo_seed</varname> (<type>floating point</type>)
+      <term><varname>geqo_seed</varname> (<type>floating point</type>) - default is 1
       <indexterm>
        <primary><varname>geqo_seed</varname> configuration parameter</primary>
       </indexterm>
@@ -6065,7 +6065,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      <variablelist>
 
      <varlistentry id="guc-default-statistics-target" xreflabel="default_statistics_target">
-      <term><varname>default_statistics_target</varname> (<type>integer</type>)
+      <term><varname>default_statistics_target</varname> (<type>integer</type>) - default is 100
       <indexterm>
        <primary><varname>default_statistics_target</varname> configuration parameter</primary>
       </indexterm>
@@ -6084,7 +6084,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
      </varlistentry>
 
      <varlistentry id="guc-constraint-exclusion" xreflabel="constraint_exclusion">
-      <term><varname>constraint_exclusion</varname> (<type>enum</type>)
+      <term><varname>constraint_exclusion</varname> (<type>enum</type>) - default is partition
       <indexterm>
        <primary>constraint exclusion</primary>
       </indexterm>
@@ -6145,7 +6145,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-cursor-tuple-fraction" xreflabel="cursor_tuple_fraction">
-      <term><varname>cursor_tuple_fraction</varname> (<type>floating point</type>)
+      <term><varname>cursor_tuple_fraction</varname> (<type>floating point</type>) - default is 0.1
       <indexterm>
        <primary><varname>cursor_tuple_fraction</varname> configuration parameter</primary>
       </indexterm>
@@ -6166,7 +6166,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-from-collapse-limit" xreflabel="from_collapse_limit">
-      <term><varname>from_collapse_limit</varname> (<type>integer</type>)
+      <term><varname>from_collapse_limit</varname> (<type>integer</type>) - default is 8
       <indexterm>
        <primary><varname>from_collapse_limit</varname> configuration parameter</primary>
       </indexterm>
@@ -6189,7 +6189,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-jit" xreflabel="jit">
-      <term><varname>jit</varname> (<type>boolean</type>)
+      <term><varname>jit</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>jit</varname> configuration parameter</primary>
       </indexterm>
@@ -6205,7 +6205,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-join-collapse-limit" xreflabel="join_collapse_limit">
-      <term><varname>join_collapse_limit</varname> (<type>integer</type>)
+      <term><varname>join_collapse_limit</varname> (<type>integer</type>) - default is the same as from_collapse_limit
       <indexterm>
        <primary><varname>join_collapse_limit</varname> configuration parameter</primary>
       </indexterm>
@@ -6241,7 +6241,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-plan-cache-mode" xreflabel="plan_cache_mode">
-      <term><varname>plan_cache_mode</varname> (<type>enum</type>)
+      <term><varname>plan_cache_mode</varname> (<type>enum</type>) - default is auto
       <indexterm>
        <primary><varname>plan_cache_mode</varname> configuration parameter</primary>
       </indexterm>
@@ -6269,7 +6269,7 @@ SELECT * FROM parent WHERE key = 2400;
      </varlistentry>
 
      <varlistentry id="guc-recursive-worktable-factor" xreflabel="recursive_worktable_factor">
-      <term><varname>recursive_worktable_factor</varname> (<type>floating point</type>)
+      <term><varname>recursive_worktable_factor</varname> (<type>floating point</type>) - default is 10.0
       <indexterm>
        <primary><varname>recursive_worktable_factor</varname> configuration parameter</primary>
       </indexterm>
@@ -6454,7 +6454,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-directory" xreflabel="log_directory">
-      <term><varname>log_directory</varname> (<type>string</type>)
+      <term><varname>log_directory</varname> (<type>string</type>) - default is log
       <indexterm>
        <primary><varname>log_directory</varname> configuration parameter</primary>
       </indexterm>
@@ -6473,7 +6473,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-filename" xreflabel="log_filename">
-      <term><varname>log_filename</varname> (<type>string</type>)
+      <term><varname>log_filename</varname> (<type>string</type>) - default is postgresql-%Y-%m-%d_%H%M%S.log
       <indexterm>
        <primary><varname>log_filename</varname> configuration parameter</primary>
       </indexterm>
@@ -6527,7 +6527,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-file-mode" xreflabel="log_file_mode">
-      <term><varname>log_file_mode</varname> (<type>integer</type>)
+      <term><varname>log_file_mode</varname> (<type>integer</type>) - default is 0600
       <indexterm>
        <primary><varname>log_file_mode</varname> configuration parameter</primary>
       </indexterm>
@@ -6561,7 +6561,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-rotation-age" xreflabel="log_rotation_age">
-      <term><varname>log_rotation_age</varname> (<type>integer</type>)
+      <term><varname>log_rotation_age</varname> (<type>integer</type>) - default is 24hours
       <indexterm>
        <primary><varname>log_rotation_age</varname> configuration parameter</primary>
       </indexterm>
@@ -6581,7 +6581,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-rotation-size" xreflabel="log_rotation_size">
-      <term><varname>log_rotation_size</varname> (<type>integer</type>)
+      <term><varname>log_rotation_size</varname> (<type>integer</type>) - default is 10MB
       <indexterm>
        <primary><varname>log_rotation_size</varname> configuration parameter</primary>
       </indexterm>
@@ -6645,7 +6645,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-syslog-facility" xreflabel="syslog_facility">
-      <term><varname>syslog_facility</varname> (<type>enum</type>)
+      <term><varname>syslog_facility</varname> (<type>enum</type>) - default is LOCAL0
       <indexterm>
        <primary><varname>syslog_facility</varname> configuration parameter</primary>
       </indexterm>
@@ -6668,7 +6668,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-syslog-ident" xreflabel="syslog_ident">
-      <term><varname>syslog_ident</varname> (<type>string</type>)
+      <term><varname>syslog_ident</varname> (<type>string</type>) - default is postgres
       <indexterm>
        <primary><varname>syslog_ident</varname> configuration parameter</primary>
       </indexterm>
@@ -6687,7 +6687,7 @@ local0.*    /var/log/postgresql
       </varlistentry>
 
       <varlistentry id="guc-syslog-sequence-numbers" xreflabel="syslog_sequence_numbers">
-       <term><varname>syslog_sequence_numbers</varname> (<type>boolean</type>)
+       <term><varname>syslog_sequence_numbers</varname> (<type>boolean</type>) - default is on
         <indexterm>
          <primary><varname>syslog_sequence_numbers</varname> configuration parameter</primary>
         </indexterm>
@@ -6715,7 +6715,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-syslog-split-messages" xreflabel="syslog_split_messages">
-      <term><varname>syslog_split_messages</varname> (<type>boolean</type>)
+      <term><varname>syslog_split_messages</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>syslog_split_messages</varname> configuration parameter</primary>
       </indexterm>
@@ -6748,7 +6748,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-event-source" xreflabel="event_source">
-      <term><varname>event_source</varname> (<type>string</type>)
+      <term><varname>event_source</varname> (<type>string</type>) - default is PostgreSQL
       <indexterm>
        <primary><varname>event_source</varname> configuration parameter</primary>
       </indexterm>
@@ -6773,7 +6773,7 @@ local0.*    /var/log/postgresql
      <variablelist>
 
      <varlistentry id="guc-log-min-messages" xreflabel="log_min_messages">
-      <term><varname>log_min_messages</varname> (<type>enum</type>)
+      <term><varname>log_min_messages</varname> (<type>enum</type>) - default is WARNING
       <indexterm>
        <primary><varname>log_min_messages</varname> configuration parameter</primary>
       </indexterm>
@@ -6798,7 +6798,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-min-error-statement" xreflabel="log_min_error_statement">
-      <term><varname>log_min_error_statement</varname> (<type>enum</type>)
+      <term><varname>log_min_error_statement</varname> (<type>enum</type>) - default is ERROR
       <indexterm>
        <primary><varname>log_min_error_statement</varname> configuration parameter</primary>
       </indexterm>
@@ -6829,7 +6829,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-min-duration-statement" xreflabel="log_min_duration_statement">
-      <term><varname>log_min_duration_statement</varname> (<type>integer</type>)
+      <term><varname>log_min_duration_statement</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>log_min_duration_statement</varname> configuration parameter</primary>
       </indexterm>
@@ -6879,7 +6879,7 @@ local0.*    /var/log/postgresql
       </varlistentry>
 
      <varlistentry id="guc-log-min-duration-sample" xreflabel="log_min_duration_sample">
-      <term><varname>log_min_duration_sample</varname> (<type>integer</type>)
+      <term><varname>log_min_duration_sample</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>log_min_duration_sample</varname> configuration parameter</primary>
       </indexterm>
@@ -6920,7 +6920,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-statement-sample-rate" xreflabel="log_statement_sample_rate">
-      <term><varname>log_statement_sample_rate</varname> (<type>floating point</type>)
+      <term><varname>log_statement_sample_rate</varname> (<type>floating point</type>) - default is 1.0
       <indexterm>
        <primary><varname>log_statement_sample_rate</varname> configuration parameter</primary>
       </indexterm>
@@ -6945,7 +6945,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-transaction-sample-rate" xreflabel="log_transaction_sample_rate">
-      <term><varname>log_transaction_sample_rate</varname> (<type>floating point</type>)
+      <term><varname>log_transaction_sample_rate</varname> (<type>floating point</type>) - default is 0
       <indexterm>
        <primary><varname>log_transaction_sample_rate</varname> configuration parameter</primary>
       </indexterm>
@@ -6976,7 +6976,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-startup-progress-interval" xreflabel="log_startup_progress_interval">
-      <term><varname>log_startup_progress_interval</varname> (<type>integer</type>)
+      <term><varname>log_startup_progress_interval</varname> (<type>integer</type>) - default is 10 seconds
       <indexterm>
        <primary><varname>log_startup_progress_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -7144,7 +7144,7 @@ local0.*    /var/log/postgresql
        <primary><varname>debug_print_rewritten</varname> configuration parameter</primary>
       </indexterm>
       </term>
-      <term><varname>debug_print_plan</varname> (<type>boolean</type>)
+      <term><varname>debug_print_plan</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>debug_print_plan</varname> configuration parameter</primary>
       </indexterm>
@@ -7165,7 +7165,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-debug-pretty-print">
-      <term><varname>debug_pretty_print</varname> (<type>boolean</type>)
+      <term><varname>debug_pretty_print</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>debug_pretty_print</varname> configuration parameter</primary>
       </indexterm>
@@ -7183,7 +7183,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-autovacuum-min-duration" xreflabel="log_autovacuum_min_duration">
-      <term><varname>log_autovacuum_min_duration</varname> (<type>integer</type>)
+      <term><varname>log_autovacuum_min_duration</varname> (<type>integer</type>) - default is 10 minutes
       <indexterm>
        <primary><varname>log_autovacuum_min_duration</varname></primary>
        <secondary>configuration parameter</secondary>
@@ -7210,7 +7210,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-checkpoints" xreflabel="log_checkpoints">
-      <term><varname>log_checkpoints</varname> (<type>boolean</type>)
+      <term><varname>log_checkpoints</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>log_checkpoints</varname> configuration parameter</primary>
       </indexterm>
@@ -7227,7 +7227,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-connections" xreflabel="log_connections">
-      <term><varname>log_connections</varname> (<type>boolean</type>)
+      <term><varname>log_connections</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -7255,7 +7255,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-disconnections" xreflabel="log_disconnections">
-      <term><varname>log_disconnections</varname> (<type>boolean</type>)
+      <term><varname>log_disconnections</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_disconnections</varname> configuration parameter</primary>
       </indexterm>
@@ -7275,7 +7275,7 @@ local0.*    /var/log/postgresql
 
 
      <varlistentry id="guc-log-duration" xreflabel="log_duration">
-      <term><varname>log_duration</varname> (<type>boolean</type>)
+      <term><varname>log_duration</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_duration</varname> configuration parameter</primary>
       </indexterm>
@@ -7310,7 +7310,7 @@ local0.*    /var/log/postgresql
      </varlistentry>
 
      <varlistentry id="guc-log-error-verbosity" xreflabel="log_error_verbosity">
-      <term><varname>log_error_verbosity</varname> (<type>enum</type>)
+      <term><varname>log_error_verbosity</varname> (<type>enum</type>) - default is DEFAULT
       <indexterm>
        <primary><varname>log_error_verbosity</varname> configuration parameter</primary>
       </indexterm>
@@ -7573,7 +7573,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-lock-waits" xreflabel="log_lock_waits">
-      <term><varname>log_lock_waits</varname> (<type>boolean</type>)
+      <term><varname>log_lock_waits</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_lock_waits</varname> configuration parameter</primary>
       </indexterm>
@@ -7591,7 +7591,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-recovery-conflict-waits" xreflabel="log_recovery_conflict_waits">
-      <term><varname>log_recovery_conflict_waits</varname> (<type>boolean</type>)
+      <term><varname>log_recovery_conflict_waits</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>log_recovery_conflict_waits</varname> configuration parameter</primary>
       </indexterm>
@@ -7613,7 +7613,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-parameter-max-length" xreflabel="log_parameter_max_length">
-      <term><varname>log_parameter_max_length</varname> (<type>integer</type>)
+      <term><varname>log_parameter_max_length</varname> (<type>integer</type>)  - default is -1
       <indexterm>
        <primary><varname>log_parameter_max_length</varname> configuration parameter</primary>
       </indexterm>
@@ -7641,7 +7641,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-parameter-max-length-on-error" xreflabel="log_parameter_max_length_on_error">
-      <term><varname>log_parameter_max_length_on_error</varname> (<type>integer</type>)
+      <term><varname>log_parameter_max_length_on_error</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>log_parameter_max_length_on_error</varname> configuration parameter</primary>
       </indexterm>
@@ -7669,7 +7669,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
      </varlistentry>
 
      <varlistentry id="guc-log-statement" xreflabel="log_statement">
-      <term><varname>log_statement</varname> (<type>enum</type>)
+      <term><varname>log_statement</varname> (<type>enum</type>) - default is none
       <indexterm>
        <primary><varname>log_statement</varname> configuration parameter</primary>
       </indexterm>
